// Computergrafik I
// Prof. Dr. Juergen Doellner
// Sommersemester 2001
// 
// Programmrahmen fuer Aufgabe 4

// Stephan Brumme, 702544
// last changes: May 07, 2001

#ifndef CG_SPHERE_H
#define CG_SPHERE_H

#include "cgapplication.h"
#include "vector.h"


class CGSphere : public CGApplication {
public:
    CGSphere();
    virtual ~CGSphere();

    // The following event methods will be implemented.
    virtual void onInit();
    virtual void onDraw();
    virtual void onSize(int newWidth, int newHeight);           
    virtual void onKey(unsigned char key);

private:
	void TessellateTriangle(const Vector& v1, const Vector& v2, const Vector& v3, int nLevel);
    GLfloat m_fRadius;
    GLint   m_nTessellationLevel;
    bool    m_bUseFlatShade;
    bool    m_bUseWireframe;
    bool    m_bUseTriangleTessellation;
};

#endif // CG_SPHERE_H

